
flags=-DNGB
CUDAINC="-I/usr/local/cuda/include -I/usr/local/cuda-sdk/common/inc"
CUDALIB="-L/usr/local/cuda/lib -lcudart"
#  -L/usr/local/cuda-sdk/lib -lcutil"

# nvcc -O0 -g  --device-emulation $flags -maxrregcount=32  -o host_evaluate_gravity.cu_o -c host_evaluate_gravity.cu -I/home/nvidia/NVIDIA_CUDA_SDK/common/inc/

nvcc -O0 -g -Xcompiler="-fPIC" -D_DEBUG $flags -maxrregcount=32  -o host_evaluate_gravity.cu_o -c host_evaluate_gravity.cu $CUDAINC

g++ -O3 $flags -g -fPIC -c GPUWorker.cc $CUDAINC
g++ -O3 $flags -g -fPIC -c sapporo.cpp $CUDAINC
g++ -O3 $flags -g -fPIC -c send_fetch_data.cpp $CUDAINC
g++ -O3 $flags -g -fPIC -c sapporoG6lib.cpp $CUDAINC
/bin/rm -rf libsapporo_fPIC.a
ar qv ./libsapporo_fPIC.a sapporo.o send_fetch_data.o sapporoG6lib.o host_evaluate_gravity.cu_o GPUWorker.o
ranlib ./libsapporo_fPIC.a 

g++ -O3 $flags -g -fPIC -o test_gravity_block test_gravity_block.cpp -L. -lsapporo_fPIC $CUDAINC $CUDALIB -lboost_thread

g++ -O3 $flags -g -fPIC -o test_gravity_N2ngb test_gravity_N2ngb.cpp -L. -lsapporo_fPIC $CUDAINC $CUDALIB -lboost_thread
g++ -O3 $flags -g -fPIC -o test_gravity_N2g6 test_gravity_N2g6.cpp -L. -lsapporo_fPIC $CUDAINC $CUDALIB -lboost_thread -lpthread


